pfsinyuv(1)

NAME
pfsinyuv - Read frames from a single .yuv file used by many video codecs

SYNOPSIS
pfsinyuv [--verbose] [--quiet] [--width] [--height] [--colorspace] [--noguess] [--chroma-subsampling] [--bit-depth] [--frames] [--help] <file>

DESCRIPTION
Use this command to read an uncompressed yuv file into a pfsstream.

<file> may contain one or more formatting strings, which describe the format of the yuv file. The formatting strings are:

%s  The entire description in the format <width>x<height>_<fps><bitdepth>_<colorspace>_<chroma-format>, for example 1920x1080_25_10b_pq2020_420

%d  Width in pixels

%d  Height in pixels

%d  Bit-depth in bits

%s  Colorspace, such as 'bt709'

%s  Chroma subsampling format, either '444' or '420'

OPTIONS

--width, -w
    Specify the width in pixels of the YUV file

--height, -h
    Specify the height in pixels of the YUV file

--fps, -f
    Specify the frames per second of the YUV file

--bit-depth, -b
    Bit-depth of the integer values stored in the yuv file. A single color component is stored as a byte if bit-depth is 8, or as two bytes otherwise. Default: 10 [bits]

--chroma-format, -s
    Specify the chroma format of the YUV file. Can be one of:

    444 Standard 4:4:4 YCbCr format, with no chroma downsampling

    420 4:2:0 YCbCr format, with both colour channels downsampled by half

    V210 The v210 format is a packed YUV 4:2:2 (UYVY) format with 10 bits per component

--colorspace, -c Currently it can be either:

    pq2020 for HDR images with BT.2020 colorspace and PQ transfer function, or

    bt709 for LDR images in BT.709 (rec.709) colorspace without any transfer function or

    hlg2020 for HDR images with BT.2020 colorspace and HLG transfer function.

If no option is specified, colorspace is inferred from the LUMINANNCE tag in the pfsstream: pq2020 if LUMINANCE is ABSOLUTE or RELATIVE, bt709 if LUMINANCE is DISPLAY.

--no-guess, -n
    Don't try to extract image metadata from the filename

--frames, -r
    Read only frames within the range specified as first:last, or first:step:last. The frames are indexed from 1, so that the to read the first and second frame one needs to specify 1:2.

--verbose, -v
    Print extra information to stderr.

--quiet, -q
    Disable warning message about the change in handling absolute values in RGBE files. See IMPORTANT NOTE below.

EXAMPLES

pfsinyuv video_1920x1080_10b_25fps_pq2020_444.yuv --frames 100:-1:0 -v | pfsview

SEE ALSO
pfsin(1)

IMPORTANT NOTE

BUGS
Please report bugs and comments on implementation to the discussion group http://groups.google.com/group/pfstools